mod adif;
mod app;
mod qso;
mod station;
mod traits;

use crate::app::App;
use std::env;

fn main() {
	let args: Vec<String> = env::args().collect();

	if args.len() != 2 {
		eprintln!("Usage: {} [filename]", args[0]);
		return;
	}

	if let Some(mut app) = App::new(args[1].clone()) {
		app.run();
	}
}
