use serde::{Deserialize, Serialize};

#[derive(Serialize, Deserialize)]
pub struct Station {
	#[serde(default = "default_call")]
	pub callsign: String,
}

impl Default for Station {
	fn default() -> Self {
		Self {
			callsign: "NOCALL".to_string(),
		}
	}
}

fn default_call() -> String {
	"N0CALL".to_string()
}
